#
# spec file for package infinipath-psm
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define my_release -13_g4ae7325

Name:           infinipath-psm
Version:        3.3
Release:        8.18
Summary:        QLogic PSM Libraries
License:        BSD-2-Clause or GPL-2.0
Group:          Productivity/Networking/System
Url:            http://www.qlogic.com/
Source0:        http://www.openfabrics.org/downloads/infinipath-psm/%{name}-%{version}%{my_release}_open.tar.gz
# PATCH-FIX-UPSTREAM infinipath-psm-cflags.patch pth@suse.de
Patch0:         infinipath-psm-cflags.patch
# PATCH-FIX-UPSTREAM infinipath-psm-no_werror.patch pth@suse.de
Patch1:         infinipath-psm-no_werror.patch
# PATCH-FIX-UPSTREAM infinipath-psm-executable_headers.patch pth@suse.de
Patch3:         infinipath-psm-executable_headers.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts:      infinipath-libs
ExclusiveArch:  %ix86 x86_64
Requires:       rdma

%define so_major 1
%define lname libpsm_infinipath%{so_major}

%description
The PSM Messaging API, or PSM API, is QLogic's low-level
user-level communications interface for the Truescale
family of products. PSM users are enabled with mechanisms
necessary to implement higher level communications
interfaces in parallel environments.

%package        devel
Summary:        Development files for QLogic PSM
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}
Conflicts:      infinipath-devel

%description devel
Development files for the libpsm_infinipath library

%package     -n %{lname}
Summary:        Development files for QLogic PSM
Group:          System/Libraries
Obsoletes:      infinipath-psm < %{version}
Provides:       infinipath-psm = %{version}

%description -n %{lname}
The PSM Messaging API, or PSM API, is QLogic's low-level
user-level communications interface for the Truescale
family of products. PSM users are enabled with mechanisms
necessary to implement higher level communications
interfaces in parallel environments.

%prep
%setup -q -n infinipath-psm-%{version}%{my_release}_open
%patch0
%patch1
%patch3

%build
export RPM_OPT_FLAGS="%{optflags} -Wno-unused-but-set-variable"
make USE_PSM_UUID=1 libdir=%{_libdir} %{?_smp_mflags} 

%install
make USE_PSM_UUID=1 libdir=%{_libdir} DESTDIR=%{buildroot} install

%post -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root,-)
%doc ChangeLog
%{_libdir}/libpsm_infinipath.so.*
%{_libdir}/libinfinipath.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libpsm_infinipath.so
%{_libdir}/libinfinipath.so
%{_includedir}/psm.h
%{_includedir}/psm_mq.h

%changelog
* Tue Mar  1 2016 pth@suse.de
- Update to 3.3-13_g4ae7325 (fate#320170).
  See included ChangeLog for detailed changes.
- Remove infinipath-non_executable_stack.patch as the fix is included
  upstream.
* Fri Sep 18 2015 pth@suse.de
- Add a requires for rdma (bsc#943853).
* Wed Aug 19 2015 pth@suse.de
- Set libdir when calling make for installing.
- Add infinipath-non_executable_stack.patch to mark the stack
  unexecutable (bsc#942689).
* Wed Jun 10 2015 pth@suse.de
- Fix name of libdir.
* Fri May 29 2015 pth@suse.de
- Adapt patches to changed sources.
* Thu May 28 2015 pth@suse.de
- Fix tarball name.
* Tue May 26 2015 pth@suse.de
- Update to 3.3 from OFED 3.18rc2.
* Fri Jun  6 2014 pth@suse.de
- Document that the shared library package was renamed so the package
  needs obsoletes/provides.
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Tue Mar 18 2014 pth@suse.de
- Fix ExclusiveArch.
* Wed Mar  5 2014 pth@suse.de
- Add an ExclusiveArch as the package is only supported on
  i686 and x86_64.
* Fri Jan 24 2014 pth@suse.de
- Fix Copyright in spec file.
* Fri Jan 17 2014 pth@suse.de
- Update to 3.2 from OFED 3.12
- Remove infinipath-psm-identical_field_names.patch which doesn't
  apply anymore.
- Remove infinipath-psm-add_symbol_to_ignore.patch as the fix is
  upstream.
* Fri Jul 12 2013 pth@suse.de
- Update to latest version 3.1.
- Adapt infinipath-psm-add_symbol_to_ignore.patch to new sources.
- Add source URL.
* Tue Jul  9 2013 pth@suse.de
- Fix spec by running service format_spec_file.
* Tue Jun 25 2013 pth@suse.de
- Fix makefile so that the presence of _edata does not lead to a
  failed build: infinipath-psm-add_symbol_to_ignore.patch
* Tue Oct  9 2012 pth@suse.de
- Fix paths to libraries in %%%%files section.
* Thu Sep 13 2012 pth@suse.de
- Update to latest version 3.0.1.
- Use RPM_OPT_FLAGS to define compiler options
  (infinipath-psm-cflags.patch).
- Don't use -Werror as newer gccs warn of possible ono-inlining.
  (infinipath-psm-no_werror.patch).
- Rename the member of a bitfield as newer gcc stops with error
  (infinipath-psm-identical_field_names.patch).
- Don't install headers with executable flag set
  (infinipath-psm-executable_headers.patch).
* Tue Sep 11 2012 pth@suse.de
- Initial package based on the version in OFED 1.5.4.1
- Implement shared library policy.
